Accounts API

Version: 2.0.0

Accounts API Version History

Download the API specification

Introduction

The Accounts API is a RESTful API that you can use to manage and get information about accounts.

This API documentation explains how to get access to the Accounts API and includes examples to help you get started.

Get Started

This section describes how to submit requests to the Accounts API.

The Accounts API URL is:

https://{base API URL}/rest/platform/accounts/

The base URL for WatchGuard public APIs varies by region. The base API URL for your account appears on the Managed Access page in WatchGuard Cloud.

Endpoint Path Parameters

Each WatchGuard public API has a version, expressed as <major>.<minor>.<patch>. You specify the major API version, such as v1 or v2, as part of the endpoint URI path.

All Accounts API endpoint URIs must include your WatchGuard Cloud account ID in the {accountId} path parameter.

Version 1 of the Accounts API is deprecated and will no longer accept requests after 17 September 2026. Although version 1 endpoints continue to accept requests, we strongly recommend that you use version 2 of the Accounts API.

Authentication

WatchGuard public APIs use the Open Authorization (OAuth) 2.0 authorization framework for token-based authentication. To use the Accounts API, you must first enable API access in your WatchGuard Cloud account and make an API request to generate an access token.

You must include the access token and your API Key in the header of each request you make to the Accounts API.

For more information, see Authentication.

Request Headers

You must include this information in the header of each request you make to the Accounts API:

Content-Type

application/json

Accept

application/json

Authorization

The access token that you generate with the WatchGuard Authentication API. For more information, see Authentication.

WatchGuard-API-Key

The API Key associated with your WatchGuard Cloud account (shown on the Managed Access page in WatchGuard Cloud).

Get Account Information

/{v2}/accounts/{accountId}

Make a request to this endpoint to get information about an account. If you want to retrieve specific information, include the fields request parameter.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountId
string
REQUIRED

Your WatchGuard Cloud account ID. You can see your accountId on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Query Parameters

When you send a request to this endpoint, you can include these request parameters:

fields
array [string]

Specifies the information you want this endpoint to return for the WatchGuard Cloud account. You can request this information:

  • contacts
  • parent
  • addresses
  • industry
  • serviceProperties
  • delegatedParent

For example, the query string fields=contacts,addresses,industry includes the contacts, addresses (billing and mailing), and industry for the specified account.

Example Request

This request retrieves information about account ID ACC-1234567, and includes the contacts, addresses, and industry for the account:

curl -X GET
	https://api.usa.cloud.watchguard.com/rest/platform/accounts/v2/accounts/ACC-1234567?fields=contacts,addresses,industry 
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE5mM2FXTHhoSmEza0ltcEFMbnluT05DcFdIT2tZPSIsImFsZyI6IlJTMjU2In0.eyJzdWIiOiJjNDQyMTJlMi05MmI1LTRiOTYtYTRmNS1lYWRlODA4OTM1YjIiLCJjdXN0b206YXBpX2tleXMiOiJwMHM1UmQzUkF2NlR2d0VuWEx5YUphR2x0ZWtieEFVUzcwVGVzOXlGIiwiaXNzIjoiaHR0cHM6XC9cL2NvZ25pdG8taWRwLnVzLXdlc3QtMi5hbWF6b25hd3MuY29tXC91cy13ZXN0LTJfa3hXeFdrTFZ5IiwiY29nbml0bzp1c2VybmFtZSI6IjAyNjk0OWM1OWI2NzIxOGNfcndfaWQiLCJhdWQiOiIzb3AybDBqazkxN3FudXFoZnVoanRvcXRzZyIsImV2ZW50X2lkIjoiODczM2ZmMjktOGNhMC00ODMyLTg0NzgtMDNiNWIxMDI3NmQ3IiwidG9rZW5fdXNlIjoiaWQiLCJhdXRoX3RpbWUiOjE1NjkzNTM0NDEsIm5hbWUiOiIwMjY5NDljNTliNjcyMThjX3J3X2lkIiwiY3VzdG9tOmFjY291bnRfaWQiOiJBQ0MtMTIzNTA2OCIsImV4cCI6MTU2OTM1NzA0MSwiY3VzdG9tOnJvbGUiOiIxIiwiaWF0IjoxNTY5MzUzNDQxfQ.MUAeG6QyM7Zog8mM--WK2uJVevLRwz8z2KPpGhQbUnHK04Hy_JdO4F4wH6IV0WVENGsBrcjp5boxcBZgdJE46123MGnB0HvghN5IoAZUOkfFPm7SAN68posHqYLoo14YNedc5GtvOzCxTmi9YepvE5LhsoC6Tgyc0e3ABn18gEZsyxmJFcMBHXOMei7AssYSWAdDyoI7j6jZslxmhXj7_h6T9PyqjLxLjFEq5S6oK9u4IVDVBlRxbURaRVAGb7ywfHiZEPDgceV-Wnv0AIhDzj5dL28AmiGIkWtWinF0UD-NSMKN4vtszK2sUWUSl8ZfVNGU650heiAaUAy7XmiqbA' 
	-H 'Content-Type: application/json' 
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL' 

Example Response

This response includes information about the account:

{
	"accountInfo": {
		"accountId": "ACC-1234567",
		"addresses": {
			"billingAddress": {
				"address1": "1234 North Street",
				"address2": null,
				"city": "Seattle",
				"state": "WA",
				"country": "United States",
				"postalCode": "98104"
			},
			"mailingAddress": {
				"address1": "1234 North Street",
				"address2": null,
				"city": "Seattle",
				"state": "WA",
				"country": "United States",
				"postalCode": "98104"
			}
		},
		"contacts": [
			{
				"email": "[email protected]",
				"firstName": "Yasmine",
				"lastName": "Iqbal",
				"phone": "1237654",
				"primaryContactId": "61"
			}
		],
		"delegatedParent": null,
		"industry": "Government/State Owned",
		"name": "Example Company",
		"parent": null,
		"serviceProperties": null,
		"status": 1,
		"type": 3
	}
}

This table shows and describes the data returned in the response:

accountInfo
object
REQUIRED

Account information.

name
string
REQUIRED

Specifies the name of the account.

Example: Example Company

industry
string
REQUIRED

Industry classification for the account. Allowed values are:

  • Government/State Owned
  • Private or Publicly Traded Company (not gov't owned) / Sole Proprietor

status
integer
REQUIRED

Indicates the status of the account. Allowed values are:

  • 0 - The account is not active.
  • 1 - The account is active.

Example: 1

contacts
array

List of contacts for the account.

primaryContactId
string

Unique ID that identifies this contact.

firstName
string
REQUIRED

First name of the primary contact.

lastName
string
REQUIRED

Last name of the primary contact.

email
string
REQUIRED

Email address of the primary contact.

phone
string

Phone number of the primary contact.

delegatedParent
object

Information about the Service Provider that manages the account, if the account has been delegated.

For more information about account delegation, see the WatchGuard Cloud Help.

id
string

WatchGuard Cloud account ID of the Service Provider that manages this delegated account.

Example: WGC-1-123abc456 or ACC-1234567

expirationDate
string

Date that delegated access ends.

name
string

Name of the Service Provider account that manages this delegated account.

phone
string

Phone number of the Service Provider account that manages this delegated account.

email
string

Email address of the Service Provider account that manages this delegated account.

addresses
object

Addresses of the account.

mailingAddress
object

Mailing address of the account.

address1
string
REQUIRED

Primary street address.

address2
string

Secondary street address.

city
string
REQUIRED

City name.

state
string
REQUIRED

State or province.

country
string
REQUIRED

Country name.

postalCode
string
REQUIRED

Zip or postal code.

billingAddress
object

Billing address of the account.

address1
string
REQUIRED

Primary street address.

address2
string

Secondary street address.

city
string
REQUIRED

City name.

state
string
REQUIRED

State or province.

country
string
REQUIRED

Country name.

postalCode
string
REQUIRED

Zip or postal code.

serviceProperties
object

Service properties for the account.

ssourlname
string

Specifies the identifier used for single sign-on (SSO).

accountId
string
REQUIRED

WatchGuard Cloud account ID of the managed account.

Example: WGC-1-123abc456 or ACC-1234567

type
integer
REQUIRED

Type of WatchGuard Cloud account.

  • 1 - Tier-n Service Provider
  • 2 - Tier-n Subscriber
  • 3 - Tier-1 Service Provider
  • 4 - Tier-1 Subscriber

Example: 1

parent
object

Service Provider account information.

id
string
REQUIRED

WatchGuard Cloud account ID of the Service Provider that manages this account.

Example: WGC-1-123abc456 or ACC-1234567

access
boolean

Indicates whether the Service Provider has access to managed accounts.

Create a New Account

/{v2}/accounts/{accountId}

Make a request to this endpoint to add a new managed account.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountId
string
REQUIRED

Your WatchGuard Cloud account ID. You can see your accountId on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Request Body

When you send a request to this endpoint, you can include these parameters:

type
integer
REQUIRED

Type of account to create. Specify one of these values:

  • 1 — Service Provider
  • 2 — Subscriber

Example: 2

name
string
REQUIRED

Specifies the name of the new account.

Example: NewAccount

firstName
string
REQUIRED

First name of the primary contact.

Example: Yasmine

lastName
string
REQUIRED

Last name of the primary contact.

Example: Iqbal

email
string
REQUIRED

Email address of the primary contact.

Example: [email protected]

phone
string
REQUIRED

Phone number of the primary contact.

Example: 2065550100

industry
string
REQUIRED

Industry classification for the account. Allowed values:

  • Government/State Owned
  • Private or Publicly Traded Company (not gov't owned) / Sole Proprietor

billingAddress
object
REQUIRED

Billing address for the account.

address1
string
REQUIRED

Primary street address.

Example: 1234 North Street

address2
string

Secondary street address.

city
string
REQUIRED

City name.

Example: Seattle

state
string

State or province.

Example: WA

country
string
REQUIRED

Country code.

Example: US

zipcode
string
REQUIRED

Zip or postal code.

Example: 98104

mailingAddress
object
REQUIRED

Mailing address for the account.

address1
string
REQUIRED

Primary street address.

Example: 1234 North Street

address2
string

Secondary street address.

city
string
REQUIRED

City name.

Example: Seattle

state
string

State or province.

Example: WA

country
string
REQUIRED

Country code.

Example: US

zipcode
string
REQUIRED

Zip or postal code.

Example: 98104

Example Request

This request creates a new managed Subscriber account for account ID ACC-1234567:

curl -X POST
	https://api.usa.cloud.watchguard.com/rest/platform/accounts/v2/accounts/ACC-1234567
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE5mM2FXTHhoSmEza0ltcEFMbnluT05DcFdIT2tZPSIsImFsZyI6IlJTMjU2In0.eyJzdWIiOiJjNDQyMTJlMi05MmI1LTRiOTYtYTRmNS1lYWRlODA4OTM1YjIiLCJjdXN0b206YXBpX2tleXMiOiJwMHM1UmQzUkF2NlR2d0VuWEx5YUphR2x0ZWtieEFVUzcwVGVzOXlGIiwiaXNzIjoiaHR0cHM6XC9cL2NvZ25pdG8taWRwLnVzLXdlc3QtMi5hbWF6b25hd3MuY29tXC91cy13ZXN0LTJfa3hXeFdrTFZ5IiwiY29nbml0bzp1c2VybmFtZSI6IjAyNjk0OWM1OWI2NzIxOGNfcndfaWQiLCJhdWQiOiIzb3AybDBqazkxN3FudXFoZnVoanRvcXRzZyIsImV2ZW50X2lkIjoiODczM2ZmMjktOGNhMC00ODMyLTg0NzgtMDNiNWIxMDI3NmQ3IiwidG9rZW5fdXNlIjoiaWQiLCJhdXRoX3RpbWUiOjE1NjkzNTM0NDEsIm5hbWUiOiIwMjY5NDljNTliNjcyMThjX3J3X2lkIiwiY3VzdG9tOmFjY291bnRfaWQiOiJBQ0MtMTIzNTA2OCIsImV4cCI6MTU2OTM1NzA0MSwiY3VzdG9tOnJvbGUiOiIxIiwiaWF0IjoxNTY5MzUzNDQxfQ.MUAeG6QyM7Zog8mM--WK2uJVevLRwz8z2KPpGhQbUnHK04Hy_JdO4F4wH6IV0WVENGsBrcjp5boxcBZgdJE46123MGnB0HvghN5IoAZUOkfFPm7SAN68posHqYLoo14YNedc5GtvOzCxTmi9YepvE5LhsoC6Tgyc0e3ABn18gEZsyxmJFcMBHXOMei7AssYSWAdDyoI7j6jZslxmhXj7_h6T9PyqjLxLjFEq5S6oK9u4IVDVBlRxbURaRVAGb7ywfHiZEPDgceV-Wnv0AIhDzj5dL28AmiGIkWtWinF0UD-NSMKN4vtszK2sUWUSl8ZfVNGU650heiAaUAy7XmiqbA' \
	-H 'Content-Type: application/json' 
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL' 
	-d '{
		"type": 2,
		"name": "NewAccount",
		"firstName": "Yasmine",
		"lastName": "Iqbal",
		"email": "[email protected]",
		"phone": "2065550100",
		"industry": "Government/State Owned",
		"billingAddress": {
			"address1": "1234 North Street",
			"city": "Seattle",
			"state": "WA",
			"country": "US",
			"zipcode": "98104"
		},
		"mailingAddress": {
			"address1": "1234 North Street",
			"city": "Seattle",
			"state": "WA",
			"country": "US",
			"zipcode": "98104"
		}
	}' 

Example Response

This response includes the WatchGuard Cloud account ID of the newly created account:

{
  "accountId": "WGC-1-123abc456"
}

This table shows and describes the data returned in the response:

accountId
string
REQUIRED

Created WatchGuard Cloud account ID.

Example: WGC-1-123abc456

Get Managed Accounts

/{v2}/accounts/{accountId}/children

Make a request to this endpoint to get a list of all your managed accounts. If you want to retrieve only specific accounts, you can include request parameters.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountId
string
REQUIRED

Your WatchGuard Cloud account ID. You can see your accountId on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Query Parameters

When you send a request to this endpoint, you can include these parameters:

type
integer

Specifies the type of account to return. Default: 0. Allowed values are:

  • 0 - Returns all accounts.
  • 1 - Returns Service Provider accounts.
  • 2 - Returns Subscriber accounts.

sortBy
string

Specifies the field to sort results by. Default: name. Allowed values are:

  • name - Sorts the results by account name.
  • type - Sorts the results by account type.

sortOrder
string

Specifies the sort order. Default: asc. Allowed values:

  • asc - Sorts results in ascending order.
  • desc - Sorts results in descending order.

offset
integer

Specifies the number of the first record to include in the results. Default: 0.

limit
integer

Maximum number of accounts to return in the response. Default: 25. A value of -1 returns all records.

name
string

Searches for accounts with a specific account name.

includeDelegatedAccounts
boolean

Specifies whether to retrieve delegated accounts. Default: false. Allowed values are:

  • true - Retrieves delegated accounts.
  • false - Do not retrieves delegated accounts.

Example Request

This request retrieves a list of the managed accounts for account ID ACC-1234567:

curl -X GET
	https://api.usa.cloud.watchguard.com/rest/platform/accounts/v2/accounts/ACC-1234567/children 
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE5mM2FXTHhoSmEza0ltcEFMbnluT05DcFdIT2tZPSIsImFsZyI6IlJTMjU2In0.eyJzdWIiOiJjNDQyMTJlMi05MmI1LTRiOTYtYTRmNS1lYWRlODA4OTM1YjIiLCJjdXN0b206YXBpX2tleXMiOiJwMHM1UmQzUkF2NlR2d0VuWEx5YUphR2x0ZWtieEFVUzcwVGVzOXlGIiwiaXNzIjoiaHR0cHM6XC9cL2NvZ25pdG8taWRwLnVzLXdlc3QtMi5hbWF6b25hd3MuY29tXC91cy13ZXN0LTJfa3hXeFdrTFZ5IiwiY29nbml0bzp1c2VybmFtZSI6IjAyNjk0OWM1OWI2NzIxOGNfcndfaWQiLCJhdWQiOiIzb3AybDBqazkxN3FudXFoZnVoanRvcXRzZyIsImV2ZW50X2lkIjoiODczM2ZmMjktOGNhMC00ODMyLTg0NzgtMDNiNWIxMDI3NmQ3IiwidG9rZW5fdXNlIjoiaWQiLCJhdXRoX3RpbWUiOjE1NjkzNTM0NDEsIm5hbWUiOiIwMjY5NDljNTliNjcyMThjX3J3X2lkIiwiY3VzdG9tOmFjY291bnRfaWQiOiJBQ0MtMTIzNTA2OCIsImV4cCI6MTU2OTM1NzA0MSwiY3VzdG9tOnJvbGUiOiIxIiwiaWF0IjoxNTY5MzUzNDQxfQ.MUAeG6QyM7Zog8mM--WK2uJVevLRwz8z2KPpGhQbUnHK04Hy_JdO4F4wH6IV0WVENGsBrcjp5boxcBZgdJE46123MGnB0HvghN5IoAZUOkfFPm7SAN68posHqYLoo14YNedc5GtvOzCxTmi9YepvE5LhsoC6Tgyc0e3ABn18gEZsyxmJFcMBHXOMei7AssYSWAdDyoI7j6jZslxmhXj7_h6T9PyqjLxLjFEq5S6oK9u4IVDVBlRxbURaRVAGb7ywfHiZEPDgceV-Wnv0AIhDzj5dL28AmiGIkWtWinF0UD-NSMKN4vtszK2sUWUSl8ZfVNGU650heiAaUAy7XmiqbA' \
	-H 'Content-Type: application/json' 
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL' 

Example Response

This response includes a list of the managed accounts for account ID ACC-1234567. The managed accounts of each Service Provider are also shown:

{
	"items": [
		{
			"accountId": "WGC-1-123abc456",
			"childrenList": [],
			"name": "California",
			"parentAccess": false,
			"relationName": "Inherited",
			"relationType": "Inherited",
			"totalOperators": 2,
			"type": 2
		},
		{
			"accountId": "WGC-1-321cba654",
			"childrenList": [
				{
					"accountId": "WGC-1-987abc654",
					"childrenList": [],
					"name": "Maine",
					"parentAccess": false,
					"relationName": "Inherited",
					"relationType": "Inherited",
					"totalOperators": 3,
					"type": 2
				}
			],
			"name": "Washington",
			"parentAccess": false,
			"relationName": "Inherited",
			"relationType": "Inherited",
			"totalOperators": 1,
			"type": 1
		}
	],
	"pageControls": {
		"limit": 3,
		"offset": 0,
		"totalItems": 3
	}
}

This table shows and describes the data returned in the response:

items
array

Lists information about your managed accounts.

accountId
string

Your WatchGuard Cloud account ID.

Example: WGC-1-123abc456

name
string

Specifies the name of the managed account.

Example: California Company

type
integer

Indicates the type of WatchGuard Cloud account.

  • 1 - Tier-n Service Provider
  • 2 - Tier-n Subscriber
  • 3 - Tier-1 Service Provider
  • 4 - Tier-1 Subscriber

Example: 1

parentAccess
boolean

Indicates whether the Service Provider has access to the managed account.

relationName
string

Specifies the name of the relationship between the Service Provider and the managed account.

relationType
string

Indicates the relationship between the Service Provider and the managed account.

totalOperators
integer

Specifies the number of operators the account has.

childrenList
array

Lists the Service Provider's managed accounts.

pageControls
object

Settings that specify how to paginate search results.

limit
integer

Maximum number of accounts to return in the response. A value of -1 returns all records.

offset
integer

Specifies the number of the first record to include in the results.

totalItems
integer

Specifies the total number of records available.

Delete Managed Accounts

/{v2}/accounts/{accountId}

Make a request to this endpoint to delete your managed accounts.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountId
string
REQUIRED

Your WatchGuard Cloud account ID. You can see your accountId on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Request Parameters

When you send a request to this endpoint, you can include this request parameter:

force
boolean

Specifies whether to delete the account if it manages other accounts. This can be one of these values:

  • true - Deletes the account and any accounts it manages.
  • false - Retains all accounts.

Default: false

Example Request

This request deletes the specified managed accounts for account ID ACC-1234567:

curl -X DELETE
	https://api.usa.cloud.watchguard.com/rest/platform/accounts/v2/accounts/ACC-1234567?force=true 
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE5mM2FXTHhoSmEza0ltcEFMbnluT05DcFdIT2tZPSIsImFsZyI6IlJTMjU2In0.eyJzdWIiOiJjNDQyMTJlMi05MmI1LTRiOTYtYTRmNS1lYWRlODA4OTM1YjIiLCJjdXN0b206YXBpX2tleXMiOiJwMHM1UmQzUkF2NlR2d0VuWEx5YUphR2x0ZWtieEFVUzcwVGVzOXlGIiwiaXNzIjoiaHR0cHM6XC9cL2NvZ25pdG8taWRwLnVzLXdlc3QtMi5hbWF6b25hd3MuY29tXC91cy13ZXN0LTJfa3hXeFdrTFZ5IiwiY29nbml0bzp1c2VybmFtZSI6IjAyNjk0OWM1OWI2NzIxOGNfcndfaWQiLCJhdWQiOiIzb3AybDBqazkxN3FudXFoZnVoanRvcXRzZyIsImV2ZW50X2lkIjoiODczM2ZmMjktOGNhMC00ODMyLTg0NzgtMDNiNWIxMDI3NmQ3IiwidG9rZW5fdXNlIjoiaWQiLCJhdXRoX3RpbWUiOjE1NjkzNTM0NDEsIm5hbWUiOiIwMjY5NDljNTliNjcyMThjX3J3X2lkIiwiY3VzdG9tOmFjY291bnRfaWQiOiJBQ0MtMTIzNTA2OCIsImV4cCI6MTU2OTM1NzA0MSwiY3VzdG9tOnJvbGUiOiIxIiwiaWF0IjoxNTY5MzUzNDQxfQ.MUAeG6QyM7Zog8mM--WK2uJVevLRwz8z2KPpGhQbUnHK04Hy_JdO4F4wH6IV0WVENGsBrcjp5boxcBZgdJE46123MGnB0HvghN5IoAZUOkfFPm7SAN68posHqYLoo14YNedc5GtvOzCxTmi9YepvE5LhsoC6Tgyc0e3ABn18gEZsyxmJFcMBHXOMei7AssYSWAdDyoI7j6jZslxmhXj7_h6T9PyqjLxLjFEq5S6oK9u4IVDVBlRxbURaRVAGb7ywfHiZEPDgceV-Wnv0AIhDzj5dL28AmiGIkWtWinF0UD-NSMKN4vtszK2sUWUSl8ZfVNGU650heiAaUAy7XmiqbA' \
	-H 'Content-Type: application/json' 
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL' 

Example Response

This response includes the WatchGuard Cloud account IDs of the deleted managed accounts:

{
  "childIds": [
    "WGC-1-123abc456",
    "WGC-1-123abc457"
  ]
}

This table shows and describes the data returned in the response:

childIds
array [string]

List of WatchGuard Cloud account IDs of the deleted accounts.

Example: WGC-1-123abc456

Update Managed Accounts

/{v2}/accounts/{accountId}

Make a request to this endpoint to update your managed accounts.

Path Parameters

When you send a request to this endpoint, you must include these path parameters:

accountId
string
REQUIRED

Identifies the WatchGuard Cloud account to update. You can see the account ID on the My Account page in WatchGuard Cloud.

Example: WGC-1-123abc456 or ACC-1234567

Request Body

When you send a request to this endpoint, include these parameters

name
string
REQUIRED

Specifies the name of the updated account.

Example: UpdatedAccount

firstName
string
REQUIRED

First name of the primary contact.

Example: Yasmine

lastName
string
REQUIRED

Last name of the primary contact.

Example: Iqbal

email
string
REQUIRED

Email address of the primary contact.

Example: [email protected]

phone
string
REQUIRED

Phone number of the primary contact.

Example: 2065550100

industry
string
REQUIRED

Industry classification for the account. Allowed values:

  • Government/State Owned
  • Private or Publicly Traded Company (not gov't owned) / Sole Proprietor

billingAddress
object
REQUIRED

Billing address for the account.

address1
string
REQUIRED

Primary street address.

Example: 1234 North Street

address2
string

Secondary street address.

city
string
REQUIRED

City name.

Example: Seattle

state
string

State or province.

Example: WA

country
string
REQUIRED

Country code.

Example: US

zipcode
string
REQUIRED

Zip or postal code.

Example: 98104

mailingAddress
object
REQUIRED

Mailing address for the account.

address1
string
REQUIRED

Primary street address.

Example: 1234 North Street

address2
string

Secondary street address.

city
string
REQUIRED

City name.

Example: Seattle

state
string

State or province.

Example: WA

country
string
REQUIRED

Country code.

Example: US

zipcode
string
REQUIRED

Zip or postal code.

Example: 98104

Example Request

This request updates the managed account for account ID ACC-1234567:

curl -X PATCH
	https://api.usa.cloud.watchguard.com/rest/platform/accounts/v2/accounts/ACC-1234567 
	-H 'Authorization: Bearer eyJraWQiOiJNWnpabklNK2V6Q3BXUE5mM2FXTHhoSmEza0ltcEFMbnluT05DcFdIT2tZPSIsImFsZyI6IlJTMjU2In0.eyJzdWIiOiJjNDQyMTJlMi05MmI1LTRiOTYtYTRmNS1lYWRlODA4OTM1YjIiLCJjdXN0b206YXBpX2tleXMiOiJwMHM1UmQzUkF2NlR2d0VuWEx5YUphR2x0ZWtieEFVUzcwVGVzOXlGIiwiaXNzIjoiaHR0cHM6XC9cL2NvZ25pdG8taWRwLnVzLXdlc3QtMi5hbWF6b25hd3MuY29tXC91cy13ZXN0LTJfa3hXeFdrTFZ5IiwiY29nbml0bzp1c2VybmFtZSI6IjAyNjk0OWM1OWI2NzIxOGNfcndfaWQiLCJhdWQiOiIzb3AybDBqazkxN3FudXFoZnVoanRvcXRzZyIsImV2ZW50X2lkIjoiODczM2ZmMjktOGNhMC00ODMyLTg0NzgtMDNiNWIxMDI3NmQ3IiwidG9rZW5fdXNlIjoiaWQiLCJhdXRoX3RpbWUiOjE1NjkzNTM0NDEsIm5hbWUiOiIwMjY5NDljNTliNjcyMThjX3J3X2lkIiwiY3VzdG9tOmFjY291bnRfaWQiOiJBQ0MtMTIzNTA2OCIsImV4cCI6MTU2OTM1NzA0MSwiY3VzdG9tOnJvbGUiOiIxIiwiaWF0IjoxNTY5MzUzNDQxfQ.MUAeG6QyM7Zog8mM--WK2uJVevLRwz8z2KPpGhQbUnHK04Hy_JdO4F4wH6IV0WVENGsBrcjp5boxcBZgdJE46123MGnB0HvghN5IoAZUOkfFPm7SAN68posHqYLoo14YNedc5GtvOzCxTmi9YepvE5LhsoC6Tgyc0e3ABn18gEZsyxmJFcMBHXOMei7AssYSWAdDyoI7j6jZslxmhXj7_h6T9PyqjLxLjFEq5S6oK9u4IVDVBlRxbURaRVAGb7ywfHiZEPDgceV-Wnv0AIhDzj5dL28AmiGIkWtWinF0UD-NSMKN4vtszK2sUWUSl8ZfVNGU650heiAaUAy7XmiqbA' \
	-H 'Content-Type: application/json' 
	-H 'WatchGuard-API-Key: s9t7El6RZFg8UcmRhYKdwXqBhyuioiWER83Nqd0tL'
	-d '{
		"name": "UpdatedAccount",
		"firstName": "Yasmine",
		"lastName": "Iqbal",
		"email": "[email protected]",
		"phone": "2065550100",
		"industry": "Government/State Owned",
		"billingAddress": {
			"address1": "1234 North Street",
			"city": "Seattle",
			"state": "WA",
			"country": "US",
			"zipcode": "98104"
		},
		"mailingAddress": {
			"address1": "1234 North Street",
			"city": "Seattle",
			"state": "WA",
			"country": "US",
			"zipcode": "98104"
		}
	}' 

Example Response

A successful request returns the 204 No Content status code.